POST /whatsapp/accounts/{id}/register

Register (or re-register) the number for the Cloud API with pin, or a random 6-digit PIN (stored encrypted). Meta allows 10 attempts per 72 hours

POST
/whatsapp/accounts/{id}/register

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Path Parameters

id*string

WhatsApp account id

Request Body

application/json
  1. body
pin?string
Match^\d{6}$

Response Body

WhatsAppAccount

application/json
  1. response
accountId?string
platform?"whatsapp"
Value in"whatsapp"
accountName?string
phoneNumberId?string

Cloud API phone number id (= platformAccountId)

wabaId?string|null
businessId?string|null
externalId?string|null
status?string
phoneNumber?
onboarding?
Example Request
curl -X POST 'https://example.com/api/v1/whatsapp/accounts/string/register' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "accountId": "string",  "platform": "whatsapp",  "accountName": "string",  "phoneNumberId": "string",  "wabaId": "string",  "businessId": "string",  "externalId": "string",  "status": "string",  "phoneNumber": {    "displayPhoneNumber": "string",    "verifiedName": "string",    "qualityRating": "string",    "messagingLimitTier": "string",    "nameStatus": "string",    "platformType": "string",    "codeVerificationStatus": "string",    "status": "string",    "checkedAt": "2019-08-24T14:15:22Z",    "throughput": null  },  "onboarding": {    "connection": "embedded_signup",    "onboarding": "cloud_api",    "subscribed": true,    "subscribeError": "string",    "registered": true,    "registerError": "string",    "registerSkipped": "string",    "onboardedAt": "2019-08-24T14:15:22Z"  }}